version: '2.4'
services:
    industrial-edge:
        restart: always
        environment:
            - HostIps=X.X.X.X
        volumes:
            - '/etc/ssl/certs:/etc/ssl/certs'
            - '/var/lib/docker/volumes:/host-system/var/lib/docker/volumes'
            - '/var/lib/docker/containers:/var/lib/docker/containers'
            - '/var/run/docker.sock:/var/run/docker.sock'
            - '/var/lib/docker/edge-iot-core/Database:/var/lib/redis'
            - '/var/lib/docker/edge-iot-core/Data:/data'
            - '/var/lib/docker/edge-iot-core/Data:/var/lib/docker/edge-iot-core/Data'
            - '/var/lib/docker/edge-iot-core/apps:/etc/nginx/conf.d/apps'
            - '/var/lib/docker/edge-iot-core/app_engine:/etc/app_engine'
            - '/var/lib/docker/edge-iot-core/profile.d:/etc/profile.d/'
            - '/var/run/devicemodel:/var/run/devicemodel'
            - '/etc/pki/tls/certs/:/etc/pki/tls/certs/'
            - '/etc/pki/tls/private/:/etc/pki/tls/private/'
            - '/dev/log:/dev/log'
            - '/var/log/journal:/host-system/var/log/journal:ro'
            - '/etc/capabilities.json:/data/app_engine/Configuration/capabilities.json'            
        ports:
            - '443:443'
            - '9443:8443'
        container_name: edge-iot-core
        pid: host
        image: edge_iot_core:1.11.0-3
